<?php
/**
	 * -----------------------------------------
	 * @author Nico Schubert / www.php-space.info
	 * @copyright Das Script kann unter Verwendung des Copyright uneingeschrnkt genutzt / verndert werden. Das Copyright muss im Code sowie in der Ausgabe erhalten bleiben.
	 * @version Simple PHP Forum 1.02 - 10.06.2011
	 * @abstract Das Script luft erst ab der Php Version 5.0 oder hher. Wenn Sie Probleme mit den Einrichten haben, so schauen Sie bitte in die Anleitung -> Installationsanleitung_1.01.pdf
	 * -----------------------------------------
	*/
session_start();
if(@file_exists('config.php')==true)
	include_once('config.php');
else {
	 echo 'No Config File existing.';
	 exit;
}
if(@file_exists('language/'.$language_file)==true)
	include_once('language/'.$language_file);
else {
	 echo 'No Language File existing.';
	 exit;
}
if(file_exists('error_log.php')==true)
	include_once('error_log.php');
if(function_exists("date_default_timezone_set")==true)
	@date_default_timezone_set($timezone);
if(file_exists('function.php')==true)
	include_once('function.php');
if(file_exists('dbcache_class.php')==true)
	include_once('dbcache_class.php');
if(file_exists('navigation.php')==true)
	include_once('navigation.php');
if(!isset($_GET['id'])) $_GET['id']=0; else $_GET['id']=sprintf("%d", $_GET['id']);
$dbh = new DBI($mysql_host, $mysql_db,$mysql_benutzer, $mysql_password, $mysql_cachedir);
$sql_select="SELECT name FROM `".$mysql_praefix."kategorie` WHERE `id` = '".mysql_escape_string($_GET['id'])."' LIMIT 1;";
$sth = $dbh->prepare($sql_select, $cache_time);
$sth->execute();
$daten = $sth->fetchrow_hash();
if(!isset($daten["name"])){
	header("HTTP/1.1 301 Moved Permanently");
	header("Location: ".$url."/");
	header("Connection: close");
} else {
	$kategorie_name=$daten["name"];
	$sth->finish();

	$ausgabe  ='<html>';
	$ausgabe .='<head>';
	$ausgabe .='<title>'.$kategorie_name.' - '.$seiten_title.'</title>';
	$ausgabe .='<link rel="stylesheet" type="text/css" href="style.css">';
	$ausgabe .='</head>';
	$ausgabe .='<body>';
	$ausgabe .='<center>';
	$ausgabe .= '<table class="table_style" cellpadding="0" cellspacing="0">';
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td colspan=\"3\" class=\"td_style\">";
	$ausgabe .= '		<table class="table_style_title" cellpadding="0" cellspacing="0">';
	$ausgabe .= " 			<tr>";
	$ausgabe .= "  				<td class=\"td_style_h1\"><h1>".$kategorie_name."</h1></td>";
	$ausgabe .= "  				<td>&nbsp;&nbsp;</td>";
	$ausgabe .= "  				<td nowrap>".navigation()."</td>";
	$ausgabe .= " 			</tr>";
	$ausgabe .= " 		</table>";
	$ausgabe .= "	</td>";
	$ausgabe .= " </tr>";
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td class=\"td_style\" colspan=\"3\">".$lang['kategorie_1']."<a href=\"".$url."".SID."\">".$forum_name."</a> >  <a href=\"".$url."/kategorie.php?".SID."&id=".$_GET['id']."\">".$kategorie_name."</a></td>";
	$ausgabe .= " </tr>";
	$ausgabe .= " <tr>";
	$ausgabe .= "  <td class=\"td_style\" colspan=\"3\"><a href=\"".$url."/new_post.php?".SID."&id=".$_GET['id']."\" rel=\"nofollow\">".$lang['kategorie_2']."</a></td>";
	$ausgabe .= " </tr>";
	$sql_select="SELECT `".$mysql_praefix."beitraege`.`id`,`".$mysql_praefix."beitraege`.`title`, `".$mysql_praefix."beitraege`.`autor` FROM `".$mysql_praefix."beitraege` WHERE `".$mysql_praefix."beitraege`.`kategorie_id` = '".mysql_escape_string($_GET['id'])."' ORDER BY `".$mysql_praefix."beitraege`.`last_aw` DESC";
	$sth = $dbh->prepare($sql_select, $cache_time);
	$sth->execute();
	if($sth->rows()==0){
		$ausgabe .= " <tr>";
		$ausgabe .= "  <td class=\"td_style\" colspan=\"3\">".$lang['kategorie_3']."</td>";
		$ausgabe .= " </tr>";
	} else {
		$ausgabe .= " <tr>";
		$ausgabe .= "  <td class=\"td_style_head\">".$lang['kategorie_4']."</td>";
		$ausgabe .= "  <td class=\"td_style_head\">".$lang['kategorie_5']."</td>";
		$ausgabe .= "  <td class=\"td_style_head\">".$lang['kategorie_6']."</td>";
		$ausgabe .= " </tr>";
		$zeile = 0;
		$style1 = 'class="td_style2"';
		$style2 = 'class="td_style3"';
		while($daten = $sth->fetchrow_hash()){
			$zeile++;
			$style = ($zeile % 2) ? ($style1) : ($style2);

			$sql_select2="SELECT erstellt_am, autor FROM `".$mysql_praefix."post` WHERE `beitrag_id` = '".$daten["id"]."' ORDER BY `".$mysql_praefix."post`.`erstellt_am` DESC LIMIT 1;";
            $sth2 = $dbh->prepare($sql_select2, $cache_time);
            $sth2->execute();
            $daten_post = $sth2->fetchrow_hash();
            $sth2->finish();

            $sql_select3="SELECT count(id) as `anz` FROM `".$mysql_praefix."post` WHERE `beitrag_id` = '".$daten["id"]."';";
            $sth3 = $dbh->prepare($sql_select3, $cache_time);
            $sth3->execute();
            $daten_post_anz = $sth3->fetchrow_hash();
            $sth3->finish();

			$ausgabe .= " <tr>";
			$lang['kategorie_7']=str_replace("~zeit~",date("d.m.y \\u\\m H:i", $daten_post["erstellt_am"]), $lang['kategorie_7']);
			$lang['kategorie_7']=str_replace("~autor~",userid_to_username($daten_post["autor"]), $lang['kategorie_7']);
			$ausgabe .= "  <td ".$style."><a href=\"".$url."/beitraege.php?".SID."&bid=".$daten["id"]."\"><b><u>".htmlentities(stripslashes($daten["title"]))."</u></b></a><br><font class=\"font_klein\">".$lang['kategorie_7']."</font></td>";
			$ausgabe .= "  <td ".$style.">".$daten_post_anz["anz"]."</td>";
			$ausgabe .= "  <td ".$style.">".userid_to_username($daten["autor"])."</td>";
			$ausgabe .= "</tr>";
		}
		$ausgabe .= " <tr>";
		$ausgabe .= "  <td class=\"td_style\" colspan=\"3\">".$lang['kategorie_8']."</td>";
		$ausgabe .= " </tr>";
	}
	$sth->finish();
	$ausgabe .='</table>';
	eval(base64_decode("JGF1c2dhYmUgLj0iPHA+UG93ZXJlZCBieSA8YSBocmVmPVwiaHR0cDovL3d3dy5waHAtc3BhY2Uu
aW5mby9zaW1wbGUtcGhwLWZvcnVtL1wiPlNpbXBsZSBQSFAgRm9ydW08L2E+IKkgMjAwOSBQaHAt
U3BhY2UuaW5mbyANCjwvcD4iOw=="));
	$ausgabe .='</center>';
	$ausgabe.= "</body>\n";
	$ausgabe.= "</html>\n";
	echo $ausgabe;
	exit;
}
?>